# SpeciesFormChangeTrigger | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class SpeciesFormChangeTrigger`Abstract`

#### Hierarchy (View Summary)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeManualTrigger
  - SpeciesFormChangeAbilityTrigger
  - SpeciesFormChangeItemTrigger
  - SpeciesFormChangeTimeOfDayTrigger
  - SpeciesFormChangeActiveTrigger
  - SpeciesFormChangeStatusEffectTrigger
  - SpeciesFormChangeMoveLearnedTrigger
  - SpeciesFormChangeMoveTrigger
  - SpeciesDefaultFormMatchTrigger
  - SpeciesFormChangeTeraTrigger
  - SpeciesFormChangeLapseTeraTrigger
  - SpeciesFormChangeWeatherTrigger
  - SpeciesFormChangeRevertWeatherFormTrigger

- Defined in src/data/pokemon-forms.ts:221

##### Index

### Constructors

constructor

### Properties

description

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeTrigger(): SpeciesFormChangeTrigger

  #### Returns SpeciesFormChangeTrigger

## Properties

### description

description: string = ""

- Defined in src/data/pokemon-forms.ts:222

## Methods

### canChange

- canChange(_pokemon: default ): boolean

  #### Parameters

  - _pokemon: default

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:224

### hasTriggerType

- hasTriggerType(triggerType: Constructor < SpeciesFormChangeTrigger >): boolean

  #### Parameters

  - triggerType: Constructor < SpeciesFormChangeTrigger >

  #### Returns boolean

  - Defined in src/data/pokemon-forms.ts:228